<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation for table `ImageManager`.
     */
    class m170317_155204_create_ImageManager_table extends Migration
    {
        /**
         * @inheritdoc
         */
        public function safeUp()
        {
            $this->createTable(
                'ImageManager',
                [
                    'id'       => $this->primaryKey(),
                    'fileName' => $this->string(128)
                                       ->notNull(),
                    'fileHash' => $this->string(32)
                                       ->notNull(),
                    'created'  => $this->dateTime()
                                       ->notNull(),
                    'modified' => $this->dateTime(),
                    'createdBy' =>
                    $this->integer(10)
                         ->unsigned()
                         ->null()
                         ->defaultValue(null),
                    'modifiedBy' =>
                    $this->integer(10)
                         ->unsigned()
                         ->null()
                         ->defaultValue(null)
                ]
            );
        }
        
        /**
         * @inheritdoc
         */
        public function safeDown()
        {
            $this->dropTable('ImageManager');
        }
    }